Bug 191341 - firefox icons are "executable"
firefox icons are "executable"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-10 19:20 EDT by Michal Jaegermann
Modified: 2008-01-03 01:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-03 01:04:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-05-10 19:20:51 EDT
Description of problem:

rpm -qvl firefox | grep png

reveals that out of six png images in 'firefox' package five have
755 permissions.  No idea know how to exploit that fact but it does
not look that good.

Version-Release number of selected component (if applicable):
firefox-1.5.0.2-1.2.fc5 and earlier too
Comment 1 Thomas Canniot 2006-05-12 06:14:32 EDT
This bug appeared with firefox-1.5.0.3-1.1.fc5 here
Comment 2 petrosyan 2006-10-06 11:37:30 EDT
This bug is still present in firefox-1.5.0.7-1.fc5
Comment 3 Matěj Cepl 2007-07-18 13:32:46 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Michal Jaegermann 2007-07-18 17:30:54 EDT
> If this issue turns out to still be reproducible ...

Are you trying to be funny?

On FC6 with firefox-1.5.0.12-1.fc6

$ rpm -qvl firefox | grep 'x .*png'
-rwxr-xr-x    1 root    root             3727 May 30 15:36
/usr/lib/firefox-1.5.0.12/icons/document.png
-rwxr-xr-x    1 root    root            21853 May 30 15:36
/usr/lib/firefox-1.5.0.12/icons/mozicon128.png
-rwxr-xr-x    1 root    root            22081 May 13  2005
/usr/share/pixmaps/firefox.png

On F7 with firefox-2.0.0.4-2.fc7

$ rpm -qvl firefox | grep 'x .*png'
-rwxr-xr-x    1 root    root            22081 May 13  2005
/usr/share/pixmaps/firefox.png

so there is some progress but it seems to be really slow.


Comment 5 Matěj Cepl 2007-07-19 09:57:54 EDT
No, I am not trying to be funny, just mass-closing all stale old bugs.
Hopefully, somebody will pick this up.
Comment 6 Christopher Aillon 2008-01-03 01:04:36 EST
% rpm -qvl firefox | grep 'x .*png'
zsh: exit 1     grep -rnHI 'x .*png'
% rpm -q firefox
firefox-3.0-0.beta2.4.fc9.x86_64

Should be fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.